Subject: git-rev-list --full-history --parents doesn't respect path limit and shows all merges

From: Jakub Narebski <[email-masked]>
Date: Wed, 06 Sep 2006 13:11:12 +0200

When trying to speed-up gitweb by using only one git-rev-list invocation to
get _parsed_ list of revisions, and not first call git-rev-list to get list
of revisions, and then for each revision call git-rev-list --max-count=1
--parennts --header to parse a commit, I have encountered the following
error in (most probably) --full-history implementation.

Namely the following work as expected, returning only one commit:

  git rev-list HEAD -- gitweb/git-logo.png
  git rev-list HEAD --full-history -- gitweb/git-logo.png
  git rev-list HEAD --parents -- gitweb/git-logo.png
 
but the following command

  git rev-list HEAD --full-history --parents -- gitweb/git-logo.png

returns additionally _all_ the merges.

I don't know if it is a feature or a bug (I think that is the latter),
but it seriously screw mentioned plan to make gitweb faster a bit.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git